Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dispatchers
Class HTTPLocationBasedDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.AbstractDispatcher
              org.apache.axis2.dispatchers.HTTPLocationBasedDispatcher

All Implemented Interfaces:
  Handler

Direct Known Subclasses:
  HTTPLocationBasedDispatcher

    public class HTTPLocationBasedDispatcher

extends AbstractDispatcher

Dispatches the operation based on the information from the target endpoint URL.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`static java.lang.String` | `NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`HTTPLocationBasedDispatcher()`

Method Summary
`AxisOperation` | `findOperation(AxisService service, MessageContext messageContext)` Called by Axis Engine to find the operation.
`AxisService` | `findService(MessageContext messageContext)` Called by Axis Engine to find the service.
`void` | `initDispatcher()`

Methods inherited from class org.apache.axis2.engine.AbstractDispatcher
`invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### HTTPLocationBasedDispatcher

    public HTTPLocationBasedDispatcher()

Method Detail

### findOperation

    public AxisOperation findOperation(AxisService service,
                                       MessageContext messageContext)
                                throws AxisFault

  Description copied from class: `AbstractDispatcher`
  Called by Axis Engine to find the operation.

  Specified by:
    `findOperation` in class `AbstractDispatcher`
  Returns:
    Returns AxisOperation.
  Throws:
    `AxisFault`

### findService

    public AxisService findService(MessageContext messageContext)
                            throws AxisFault

  Description copied from class: `AbstractDispatcher`
  Called by Axis Engine to find the service.

  Specified by:
    `findService` in class `AbstractDispatcher`
  Returns:
    Returns AxisService.
  Throws:
    `AxisFault`

### initDispatcher

    public void initDispatcher()

  Specified by:
    `initDispatcher` in class `AbstractDispatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.